Name:           python-biobb-pmx
Version:        5.1.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Biobb_pmx is the Biobb module collection to perform PMX (http://pmx.mpibpc.mpg.de) executions.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            http://biobb-pmx.readthedocs.io/en/latest/
Source:         %{pypi_source biobb_pmx}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'biobb-pmx' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-biobb-pmx
Summary:        %{summary}

%description -n python3-biobb-pmx %_description


%prep
%autosetup -p1 -n biobb_pmx-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-biobb-pmx -f %{pyproject_files}


%changelog
%autochangelog